Summary: A mail checker client and comsat mail checking server.
Name: comsat
Version: 0.15
Release: 2mdk
Copyright: BSD
Group: Networking/Mail
Source0:  ftp://ftp.uk.linux.org/pub/linux/Networking/netkit-devel/biff+comsat-%{version}.tar.bz2
Patch0: biff+comsat-0.10-nobr.patch.bz2
Patch1: biff+comsat-0.15-devpts.patch.bz2
Obsoletes: biff
Provides: biff
Requires: inetd
BuildRoot: /var/tmp/%{name}-root

%description
The biff client and comsat server are an antiquated method of
asynchronous mail notification.  Although they are still supported, most
users use their shell's MAIL variable (or csh shell's mail variable) to
check for mail, or a dedicated application like xbiff or xmailbox.  If
the comsat service is not enabled, biff won't work and you'll need to use
either the MAIL or mail variable.   

You may want to install biff if you'd like to be notified when mail
arrives. However, you should probably check out the more modern
methodologies of mail notification (xbiff or xmailbox) instead.

%prep
%setup -q -n biff+comsat-%{version}
%patch0 -p1
%patch1 -p1 -b .devpts

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,man/man8,sbin}

make INSTALLROOT=$RPM_BUILD_ROOT install


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

rm $RPM_BUILD_ROOT/usr/man/man8/comsat.8
ln -s in.comsat.8.bz2 $RPM_BUILD_ROOT/usr/man/man8/comsat.8.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/biff
/usr/man/man1/biff.1.bz2
/usr/sbin/in.comsat
/usr/man/man8/in.comsat.8.bz2
/usr/man/man8/comsat.8.bz2

%changelog
* Sat Mar 25 2000 Daouda Lo	<daouda@mandrakesoft.com> 0.15-2mdk
- adjust group

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- 0.15
- Build Release


* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
